Bug 9541 - security suggestion for traceroute
security suggestion for traceroute
Status: CLOSED DUPLICATE of bug 13466
Product: Red Hat Linux
Classification: Retired
Component: traceroute (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-17 20:22 EST by wingc
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-03 11:28:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description wingc 2000-02-17 20:22:42 EST
It would be nice to drop all privileges in traceroute immediately at
program initialization time, rather than after parsing arguments. I can see
where a few buffer overflows were patched in the parser, but why risk the
possibility of another one? (can you be totally sure that all those string
functions in glibc won't break in any way in the future?)

Here is a patch that moves all privileged operations to the beginning of
main(), and then drops all privileges:

http://www.engin.umich.edu/caen/systems/Linux/code/patches/traceroute-1.4a5-paranoid.patch


This breaks the '-d' option to traceroute unless you are root, because only
root can set SO_DEBUG. However, I can't get '-d' to do anything useful here
anyway, so I'm not sure if it really matters.

If '-d' actually does do something useful, I can fix that too, let me know.


Thanks,

Chris Wing
wingc@engin.umich.edu
Comment 1 Bill Nottingham 2000-04-03 11:28:59 EDT
*** Bug 10517 has been marked as a duplicate of this bug. ***
Comment 2 Jeff Johnson 2000-07-18 23:42:40 EDT

*** This bug has been marked as a duplicate of 13466 ***

Note You need to log in before you can comment on or make changes to this bug.